diff -Naur gcc-9.5.0/fixincludes/inclhack.def gcc-9.5.0-irix/fixincludes/inclhack.def
--- gcc-9.5.0/fixincludes/inclhack.def	2022-05-27 03:21:10.455377000 +0000
+++ gcc-9.5.0-irix/fixincludes/inclhack.def	2025-02-15 14:03:04.760408000 +0000
@@ -2974,25 +326,17 @@
     "}; /* mumbled struct */\n";
 };
 
-/*
- *  Non-traditional "const" declaration in Irix's limits.h.
- */
-fix = {
-    hackname    = irix_limits_const;
-    files       = fixinc-test-limits.h, limits.h;
-    select      = "^extern const ";
-    c_fix       = format;
-    c_fix_arg   = "extern __const ";
-    test_text   = "extern const char limit; /* test limits */";
-};
+/* REINTRODUCE */
 
 /*
- *  IRIX 5.x's stdio.h declares some functions that take a va_list as
+ *  IRIX 5.x's stdio.h and IRIX 6.5's internal/stdio_core.h declare
+ *  some functions that take a va_list as
  *  taking char *.  However, GCC uses void * for va_list, so
  *  calling vfprintf with a va_list fails in C++.  */
 fix = {
     hackname  = irix_stdio_va_list;
     files     = stdio.h;
+    files     = internal/stdio_core.h;
 
     select = '/\* va_list \*/ char \*';
     c_fix  = format;
@@ -3002,83 +346,276 @@
 };
 
 /*
- * These files in Sun OS 4.x and ARM/RISCiX and BSD4.3
- * use / * * / to concatenate tokens.
+ *  IRIX 6.5.1[89] <internal/sgimacros.h> unconditionally defines
+ *  __restrict as restrict iff __c99.  This is wrong for C++, which
+ *  needs many C99 features, but only supports __restrict.
  */
 fix = {
-    hackname = kandr_concat;
-    files  = "sparc/asm_linkage.h";
-    files  = "sun*/asm_linkage.h";
-    files  = "arm/as_support.h";
-    files  = "arm/mc_type.h";
-    files  = "arm/xcb.h";
-    files  = "dev/chardefmac.h";
-    files  = "dev/ps_irq.h";
-    files  = "dev/screen.h";
-    files  = "dev/scsi.h";
-    files  = "sys/tty.h";
-    files  = "Xm.acorn/XmP.h";
-    files  = bsd43/bsd43_.h;
-    select = '/\*\*/';
-    c_fix     = format;
-    c_fix_arg = '##';
-    test_text = "#define __CONCAT__(a,b) a/**/b";
+    hackname  = irix___restrict;
+    files     = internal/sgimacros.h;
+    select    = "(#ifdef __c99\n)(#[ \t]*define __restrict restrict)";
+
+    mach      = "mips-sgi-irix6.5";
+    c_fix     = format;
+    c_fix_arg = "%1"
+		"#  ifndef __cplusplus\n%2\n#  endif";
+
+    test_text = "#ifdef __c99\n#  define __restrict restrict";
 };
 
 /*
- * The /usr/include/sys/ucontext.h on ia64-*linux-gnu systems defines
- * an _SC_GR0_OFFSET macro using an idiom that isn't a compile time
- * constant on recent versions of g++.
- */
-fix = {
-    hackname = linux_ia64_ucontext;
-    files = "sys/ucontext.h";
-    mach = "ia64-*-linux*";
-    select = '\(\(\(char \*\) &\(\(struct sigcontext \*\) 0\)'
-             '->sc_gr\[0\]\) - \(char \*\) 0\)';
-    c_fix = format;
-    c_fix_arg = "__builtin_offsetof \(struct sigcontext, sc_gr[0]\)";
-    test_text = "# define _SC_GR0_OFFSET\t\\\\\n"
-	"\t(((char *) &((struct sigcontext *) 0)->sc_gr[0]) - (char *) 0)\n";
+ * IRIX 6.5.22 <internal/math_core.h> uses the SGI c99 __generic() intrinsic
+ * to define the fpclasify, isfinite, isinf, isnan, isnormal and signbit 
+ * functions.
+ *
+ * This was probably introduced around IRIX 6.5.18
+ */
+fix = {
+    hackname  = irix___generic1;
+    files     = internal/math_core.h;
+    mach      = "mips-sgi-irix6.5";
+    select    = "#define ([a-z]+)\\(x\\) *__generic.*";
+
+    c_fix     = format;
+    c_fix_arg = "extern int %1(double);\n"
+		"extern int %1f(float);\n"
+		"extern int %1l(long double);\n"
+	    "#if !defined(__cplusplus)\n"
+		"#define %1(x) (sizeof(x) == sizeof(double) ? _%1(x) \\\n"
+		"               : sizeof(x) == sizeof(float) ? _%1f(x) \\\n"
+		"               : _%1l(x))\n"
+	    "#else\n"
+	    "namespace std\n"
+	    "{\n"
+	    "    inline int %1(double x) { return _%1(x); };\n"
+	    "    inline int %1f(float x) { return _%1f(x); };\n"
+	    "    inline int %1l(long double x) { return _%1l(x); };\n"
+	    "}\n"
+        "#endif\n";
+
+    test_text = 
+      "#define isnan(x) __generic(x,,, _isnan, _isnanf, _isnanl,,,)(x)\n";
 };
 
-/* 
- *  Remove header file warning from sys/time.h.  Autoconf's
- *  AC_HEADER_TIME recommends to include both sys/time.h and time.h
- *  which causes warning on LynxOS.  Remove the warning.
- */
+/* Likewise <internal/math_core.h> on IRIX 6.5.19 and later uses the SGI
+   compiler's __generic intrinsic to define isgreater, isgreaterequal,
+   isless, islessequal, islessgreater and isunordered functions.  */
 fix = {
-    hackname  = lynxos_no_warning_in_sys_time_h;
-    files     = sys/time.h;
-    select    = "#warning[ \t]+Using <time.h> instead of <sys/time.h>";
+    hackname  = irix___generic2;
+    files     = internal/math_core.h;
+    mach      = "mips-sgi-irix6.5";
+    select    = "#define ([a-z]+)\\(x,y\\) *__generic.*";
+
     c_fix     = format;
-    c_fix_arg = "";
-    test_text = "#warning Using <time.h> instead of <sys/time.h>";
+    c_fix_arg = "#define %1(x,y) \\\n"
+		"  ((sizeof(x)<=4 && sizeof(y)<=4) ? _%1f(x,y) \\\n"
+		"   : (sizeof(x)<=8 && sizeof(y)<=8) ? _%1(x,y) \\\n"
+		"   : _%1l(x,y))\n";
+
+    test_text = 
+      "#define isless(x,y)         __generic(x,y,, _isless, _islessf, _islessl,,,)(x,y)";
 };
 
-/* 
- *  Add missing declaration for putenv.
+
+/*
+ * IRIX 6.5 complex.h defines _Complex_I and _Imaginary_I in terms of __I__,
+ * which is a MIPSpro compiler builtin.  Remove _Imaginary_I and imaginary
+ * definitions which are not supported by GCC. 
  */
 fix = {
-    hackname  = lynxos_missing_putenv;
-    mach      = '*-*-lynxos*';
-    files     = stdlib.h;
-    bypass    = 'putenv[ \t]*\\(';
-    select    = "extern char \\*getenv[ \t]*_AP\\(\\(const char \\*\\)\\);";
+    hackname  = irix_complex;
+    mach      = "mips-sgi-irix6.5";
+    files     = complex.h;
+    select    = "#define[ \t]_Complex_I[ \t]\\(\\(float[ \t]_Complex\\)[ \t]\\(__I__\\)\\)";
+    sed	      = "s/#define[ \t]_Complex_I[ \t]((float[ \t]_Complex)[ \t](__I__))/"
+		"#define _Complex_I (__extension__ 1.0iF)/";
+    sed	      = "/#define[ \t]imaginary[ \t]_Imaginary/d";
+    sed	      = "/#define[ \t]_Imaginary_I/d";
+    sed       = "s/#define[ \t]I[ \t]_Imaginary_I/#define I _Complex_I/";
+    test_text = "#define _Complex_I ((float _Complex) (__I__))\n"
+		"#define imaginary _Imaginary\n"
+		"// #define _Imaginary_I ((float _Imaginary) 1)\n"
+		"#define _Imaginary_I __I__\n"
+		"#define I _Imaginary_I";
+};
+
+/*
+ *  Non-traditional "const" declaration in Irix's limits.h.
+ */
+fix = {
+    hackname    = irix_limits_const;
+    files       = fixinc-test-limits.h, limits.h;
+    select      = "^extern const ";
+    c_fix       = format;
+    c_fix_arg   = "extern __const ";
+    test_text   = "extern const char limit; /* test limits */";
+};
+
+/*
+ *  IRIX 6.5 PTHREAD_*_INITIALIZER need an additional level of braces in
+ *  <pthread.h>.
+ */
+fix = {
+    hackname    = irix_pthread_init;
+    files       = pthread.h;
+    select      = "^(#define[ \t]+PTHREAD_.*_INITIALIZER[ \t]+)(\\{ 0 \\})";
+
+    mach	= "mips-sgi-irix6.5";
+    c_fix  = format;
+    c_fix_arg   = "%1{ %2 }";
+    test_text   = "#define PTHREAD_MUTEX_INITIALIZER	{ 0 }\n"
+		  "#define PTHREAD_COND_INITIALIZER	{ 0 }\n"
+		  "#define PTHREAD_RWLOCK_INITIALIZER	{ 0 }";
+};
+
+
+/*
+ *  IRIX 6.5.1[78] <sys/socket.h> has a broken definition of socklen_t.
+ *  Various socket function prototypes use different types instead,
+ *  depending on the API in use (BSD, XPG4/5), but the socklen_t
+ *  definition doesn't reflect this (SGI Bug Id 864477, fixed in
+ *  IRIX 6.5.19).
+ */
+fix = {
+    hackname  = irix_socklen_t;
+    files     = sys/socket.h;
+    select    = "(#define _SOCKLEN_T\n)(typedef u_int32_t socklen_t;)";
+
+    mach      = "mips-sgi-irix6.5";
     c_fix     = format;
-    c_fix_arg = "%0\n"
-        "extern int putenv				_AP((char *));";
-    c_fix_arg = "extern char \\*getenv[ \t]*_AP\\(\\(const char \\*\\)\\);";
-    test_text = "extern char *getenv	_AP((const char *));";
+    c_fix_arg = "%1"
+    		"#if _NO_XOPEN4 && _NO_XOPEN5\n"
+    		"typedef int socklen_t;\n"
+		"#else\n"
+    		"%2\n"
+    		"#endif /* _NO_XOPEN4 && _NO_XOPEN5 */";
+
+    test_text = "#define _SOCKLEN_T\ntypedef u_int32_t socklen_t;";
 };
 
 /*
- * Fix BSD machine/ansi.h to use __builtin_va_list to define _BSD_VA_LIST_.
- *
- * On NetBSD, machine is a symbolic link to an architecture specific
- * directory name, so we can't match a specific file name here.
+ *  IRIX 6.5 <stdint.h> only works with ISO C99 and errors out
+ *  otherwise.
  */
 fix = {
+    hackname  = irix_stdint_c99_mode;
+    files     = stdint.h;
+    select = "(#ifndef __c99\n)(#error This header file is to be used only for c99 mode compilations)";
+
+    mach      = "mips-sgi-irix6.5";
+    c_fix  = format;
+    c_fix_arg = "#if 0\n"
+	        "%2";
+    test_text =
+    "#ifndef __c99\n#error This header file is to be used only for c99 mode compilations\n#else";
+};
+
+
+/*
+ *  IRIX 6.5 <stdint.h> has some *_MIN/MAX constants whose types don't
+ *  match the corresponding types, as required by ISO C99.
+ */
+fix = {
+    hackname  = irix_stdint_c99_types;
+    files     = stdint-irix65.h, stdint.h;
+    mach      = "mips-sgi-irix6.5";
+    sed       = "s@^#define INT64_MIN.*(-0x7fffffffffffffff - 1)$@"
+                "#define INT64_MIN               (-0x7fffffffffffffffLL - 1)@";
+    sed       = "s@^#define INT64_MAX.*0x7fffffffffffffff$@"
+                "#define INT64_MAX               0x7fffffffffffffffLL@";
+    sed       = "s@^#define UINT32_MAX.*0xffffffff$@"
+                "#define UINT32_MAX              0xffffffffU@";
+    sed       = "s@^#define UINT64_MAX.*0xffffffffffffffff$@"
+                "#define UINT64_MAX              0xffffffffffffffffULL@";
+    sed       = "s@^#define INTPTR_MIN.*INT32_MIN$@"
+                "#define INTPTR_MIN              (-0x7fffffffL - 1)@";
+    sed       = "s@^#define INTPTR_MAX.*INT32_MAX$@"
+                "#define INTPTR_MAX              0x7fffffffL@";
+    sed       = "s@^#define UINTPTR_MAX.*UINT32_MAX$@"
+                "#define UINTPTR_MAX             0xffffffffUL@";
+    sed       = "s@^#define INTPTR_MIN.*INT64_MIN@"
+                "#define INTPTR_MIN              (-0x7fffffffffffffffL - 1)@";
+    sed       = "s@^#define INTPTR_MAX.*INT64_MAX$@"
+                "#define INTPTR_MAX              0x7fffffffffffffffL@";
+    sed       = "s@^#define UINTPTR_MAX.*UINT64_MAX$@"
+                "#define UINTPTR_MAX             0xffffffffffffffffUL@";
+    sed       = "s@^#define PTRDIFF_MIN.*INT64_MIN$@"
+                "#define PTRDIFF_MIN             (-0x7fffffffffffffffL - 1)@";
+    sed       = "s@^#define PTRDIFF_MAX.*INT64_MAX$@"
+                "#define PTRDIFF_MAX             0x7fffffffffffffffL@";
+    sed       = "s@^#define SIZE_MAX.*UINT64_MAX$@"
+                "#define SIZE_MAX                0xffffffffffffffffUL@";
+    test_text = "#define INT64_MIN               (-0x7fffffffffffffff - 1)\n"
+                "#define INT64_MAX               0x7fffffffffffffff\n"
+                "#define UINT32_MAX              0xffffffff\n"
+                "#define UINT64_MAX              0xffffffffffffffff\n"
+                "#define INTPTR_MIN              INT32_MIN\n"
+                "#define INTPTR_MAX              INT32_MAX\n"
+                "#define UINTPTR_MAX             UINT32_MAX\n"
+                "#define INTPTR_MIN              INT64_MIN\n"
+                "#define INTPTR_MAX              INT64_MAX\n"
+                "#define UINTPTR_MAX             UINT64_MAX\n"
+                "#define PTRDIFF_MIN             INT64_MIN\n"
+                "#define PTRDIFF_MAX             INT64_MAX\n"
+                "#define SIZE_MAX                UINT64_MAX";
+};
+
+
+/*
+ *  IRIX 6.5 <stdint.h> uses casts in some macros which cannot thus be used
+ *  in preprocessor tests, although ISO C99 requires this.
+ */
+fix = {
+    hackname  = irix_stdint_c99_macros;
+    files     = stdint-irix65.h, stdint.h;
+    mach      = "mips-sgi-irix6.5";
+    sed       = "s@^#define INT8_C(x).*int.*_t.*$@#define INT8_C(x)               (x)@";
+    sed       = "s@^#define INT16_C(x).*int.*_t.*$@#define INT16_C(x)              (x)@";
+    sed       = "s@^#define INT32_C(x).*int.*_t.*$@#define INT32_C(x)              (x)@";
+    sed       = "s@^#define INT64_C(x).*int.*_t.*$@#define INT64_C(x)              (x ## LL)@";
+    sed       = "s@^#define UINT8_C(x).*int.*_t.*$@#define UINT8_C(x)              (x)@";
+    sed       = "s@^#define UINT16_C(x).*int.*_t.*$@#define UINT16_C(x)             (x)@";
+    sed       = "s@^#define UINT32_C(x).*int.*_t.*$@#define UINT32_C(x)             (x ## U)@";
+    sed       = "s@^#define UINT64_C(x).*int.*_t.*$@#define UINT64_C(x)             (x ## ULL)@";
+    sed       = "s@^#define INTMAX_C(x).*int.*_t.*$@#define INTMAX_C(x)             (x ## LL)@";
+    sed       = "s@^#define UINTMAX_C(x).*int.*_t.*$@#define UINTMAX_C(x)            (x ## ULL)@";
+    test_text = "#define INT8_C(x)               (int_least8_t)(x)\n"
+                "#define INT16_C(x)              (int_least16_t)(x)\n"
+                "#define INT32_C(x)              (int_least32_t)(x)\n"
+                "#define INT64_C(x)              (int_least64_t)(x)\n"
+                "#define UINT8_C(x)              (uint_least8_t)(x)\n"
+                "#define UINT16_C(x)             (uint_least16_t)(x)\n"
+                "#define UINT32_C(x)             (uint_least32_t)(x)\n"
+                "#define UINT64_C(x)             (uint_least64_t)(x)\n"
+                "#define INTMAX_C(x)             (intmax_t)(x)\n"
+                "#define UINTMAX_C(x)            (uintmax_t)(x)";
+};
+
+
+/*
+ *  IRIX 6.5.19 <internal/wchar_core.h> provides the XPG4 variant of
+ *  wcsftime by default.  ISO C99 requires the XPG5 variant instead.
+ */
+fix = {
+    hackname  = irix_wcsftime;
+    files     = internal/wchar_core.h;
+    select    = "#if _NO_XOPEN5\n(extern size_t[ \t]+wcsftime.*const char \*.*)";
+
+    mach      = "mips-sgi-irix6.5";
+    c_fix     = format;
+    c_fix_arg = "#if _NO_XOPEN5 && !defined(__c99)\n%1";
+
+    test_text = "#if _NO_XOPEN5\n"
+		"extern size_t wcsftime(wchar_t *, "
+		"__SGI_LIBC_NAMESPACE_QUALIFIER size_t, const char *, "
+		"const struct tm *);";
+};
+
+
+
+/* END REINTRODUCE */
+
+fix = {
     hackname = machine_ansi_h_va_list;
     select   = "define[ \t]+_BSD_VA_LIST_[ \t]";
     bypass   = '__builtin_va_list';
@@ -3091,19 +628,6 @@
 };
 
 /*
- *  Fix non-ansi machine name defines
- */
-fix = {
-    hackname  = machine_name;
-    c_test    = machine_name;
-    c_fix     = machine_name;
-
-    test_text = "/* MACH_DIFF: */\n"
-    "#if defined( i386 ) || defined( sparc ) || defined( vax )"
-    "\n/* no uniform test, so be careful  :-) */";
-};
-
-/*
  *  Some math.h files define struct exception (it's in the System V
  *  Interface Definition), which conflicts with the class exception defined
  *  in the C++ file std/stdexcept.h.  We redefine it to __math_exception.
@@ -3188,61 +712,6 @@
 };
 
 /*
- *  Some versions of NetBSD don't expect the C99 inline semantics.
- */
-fix = {
-    hackname  = netbsd_c99_inline_1;
-    mach      = "*-*-netbsd*";
-    files     = signal.h;
-    select    = "extern __inline int";
-
-    c_fix     = format;
-    c_fix_arg = "extern\n"
-		"#ifdef __GNUC_STDC_INLINE__\n"
-		"__attribute__((__gnu_inline__))\n"
-		"#endif\n"
-		"__inline int";
-
-    test_text = "extern __inline int\nsigaddset(sigset_t *set, int signo)\n{}";
-};
-
-/*
- * netbsd_c99_inline_2
- */
-fix = {
-    hackname  = netbsd_c99_inline_2;
-    mach      = "*-*-netbsd*";
-    files     = signal.h;
-    select    = "#define _SIGINLINE extern __inline";
-
-    c_fix     = format;
-    c_fix_arg = <<- _EOArg_
-	#ifdef __GNUC_STDC_INLINE__
-	#define _SIGINLINE extern __attribute__((__gnu_inline__)) __inline
-	#else
-	%0
-	#endif
-	_EOArg_;
-
-    test_text = "#define _SIGINLINE extern __inline";
-};
-
-/*
- * NetBSD has a semicolon after the ending '}' for some extern "C".
- */
-fix = {
-    hackname  = netbsd_extra_semicolon;
-    mach      = "*-*-netbsd*";
-    files     = sys/cdefs.h;
-    select    = "#define[ \t]*__END_DECLS[ \t]*};";
-
-    c_fix     = format;
-    c_fix_arg = "#define __END_DECLS }";
-
-    test_text = "#define __END_DECLS };";
-};
-
-/*
  * newlib's stdint.h has several failures to conform to C99.  The fix
  *  for these removed a comment that can be matched to identify unfixed
  *  versions.
@@ -3309,73 +778,6 @@
                 "/** Macros for minimum-width integer constant expressions */";
 };
 
-/*
- *  NeXT 3.2 adds const prefix to some math functions.
- *  These conflict with the built-in functions.
- */
-fix = {
-    hackname  = next_math_prefix;
-    files     = ansi/math.h;
-    select    = "^extern[ \t]+double[ \t]+__const__[ \t]";
-
-    c_fix     = format;
-    c_fix_arg = "extern double %1(";
-    c_fix_arg = "^extern[ \t]+double[ \t]+__const__[ \t]+([a-z]+)\\(";
-
-    test_text = "extern\tdouble\t__const__\tmumble();";
-};
-
-/*
- *  NeXT 3.2 uses the word "template" as a parameter for some
- *  functions. GCC reports an invalid use of a reserved key word
- *  with the built-in functions.
- */
-fix = {
-    hackname = next_template;
-    files    = bsd/libc.h;
-    select   = "[ \t]template\\)";
-
-    c_fix     = format;
-    c_fix_arg = "(%1)";
-    c_fix_arg = "\\(([^)]*)[ \t]template\\)";
-    test_text = "extern mumble( char * template); /* fix */";
-};
-
-/*
- *  NeXT 3.2 includes the keyword volatile in the abort() and  exit()
- *  function prototypes. That conflicts with the  built-in functions.
- */
-fix = {
-    hackname = next_volitile;
-    files    = ansi/stdlib.h;
-    select   = "^extern[ \t]+volatile[ \t]+void[ \t]";
-
-    c_fix     = format;
-    c_fix_arg = "extern void %1(";
-    c_fix_arg = "^extern[ \t]+volatile[ \t]+void[ \t]+(exit|abort)\\(";
-
-    test_text = "extern\tvolatile\tvoid\tabort();";
-};
-
-/*
- *  NeXT 2.0 defines 'int wait(union wait*)', which conflicts with Posix.1.
- *  Note that version 3 of the NeXT system has wait.h in a different directory,
- *  so that this code won't do anything.  But wait.h in version 3 has a
- *  conditional, so it doesn't need this fix.  So everything is okay.
- */
-fix = {
-    hackname  = next_wait_union;
-    files     = sys/wait.h;
-
-    select    = 'wait\(union wait';
-    c_fix     = format;
-    c_fix_arg = "wait(void";
-    test_text = "extern pid_d wait(union wait*);";
-};
-
-/*
- *  a missing semi-colon at the end of the nodeent structure definition.
- */
 fix = {
     hackname  = nodeent_syntax;
     files     = netdnet/dnetdb.h;
@@ -3385,44 +787,6 @@
     test_text = "char *na_addr\t";
 };
 
-/* 
- * Fix OpenBSD's NULL definition.
- */
-fix = {
-  hackname  = openbsd_null_definition;
-  mach      = "*-*-openbsd*";
-  files     = locale.h, stddef.h, stdio.h, string.h,
-  time.h, unistd.h, wchar.h, sys/param.h;
-  select    = "__GNUG__";
-  c_fix = format;
-  c_fix_arg = "#ifndef NULL\n"
-	      "#ifdef __cplusplus\n"
-	      "#ifdef __GNUG__\n"
-	      "#define NULL\t__null\n"
-	      "#else\t /* ! __GNUG__  */\n"
-	      "#define NULL\t0L\n"
-              "#endif\t /* __GNUG__  */\n"
-	      "#else\t /* ! __cplusplus  */\n"
-	      "#define NULL\t((void *)0)\n"
-              "#endif\t /* __cplusplus  */\n"
-              "#endif\t /* !NULL  */";
-
-  c_fix_arg = "^#ifndef[ \t]*NULL\n"
-	      "^#ifdef[ \t]*__GNUG__\n"
-  	      "^#define[ \t]*NULL[ \t]*__null\n"
-  	      "^#else\n"
-              "^#define[ \t]*NULL[ \t]*0L\n"
-              "^#endif\n"
-              "^#endif";
-  test_text = 
-	"#ifndef NULL\n"
-	"#ifdef  __GNUG__\n"
-	"#define NULL    __null\n"
-	"#else\n"
-	"#define NULL    0L\n"
-	"#endif\n"
-	"#endif\n";
-};
 
 /*
  *  obstack.h used casts as lvalues.
@@ -3448,79 +812,6 @@
     test_text = "*((void **) (h)->next_free)++ = (aptr)";
 };
 
-/* 
- * Fix OpenBSD's va_start define.
- */
-fix = {
-  hackname  = openbsd_va_start;
-  mach      = "*-*-openbsd*";
-  files     = stdarg.h;
-  select    = '__builtin_stdarg_start';
-  c_fix     = format;
-  c_fix_arg = __builtin_va_start;
-
-  test_text = "#define va_start(v,l)   __builtin_stdarg_start((v),l)";
-};
-
-/*
- *  sys/lc_core.h on some versions of OSF1/4.x pollutes the namespace by
- *  defining regex.h related types.  This causes libg++ build and usage
- *  failures.  Fixing this correctly requires checking and modifying 3 files.
- */
-fix = {
-    hackname = osf_namespace_a;
-    files    = reg_types.h;
-    files    = sys/lc_core.h;
-    test     = " -r reg_types.h";
-    test     = " -r sys/lc_core.h";
-    test     = " -n \"`grep '} regex_t;' reg_types.h`\"";
-    test     = " -z \"`grep __regex_t regex.h`\"";
-
-    c_fix     = format;
-    c_fix_arg = "__%0";
-    c_fix_arg = "reg(ex|off|match)_t";
-
-    test_text = "`touch sys/lc_core.h`"
-    "typedef struct {\n  int stuff, mo_suff;\n} regex_t;\n"
-    "extern regex_t    re;\n"
-    "extern regoff_t   ro;\n"
-    "extern regmatch_t rm;\n";
-};
-
-fix = {
-    hackname = osf_namespace_c;
-    files    = regex.h;
-    test     = " -r reg_types.h";
-    test     = " -r sys/lc_core.h";
-    test     = " -n \"`grep '} regex_t;' reg_types.h`\"";
-    test     = " -z \"`grep __regex_t regex.h`\"";
-
-    select    = "#include <reg_types\.h>.*";
-    c_fix     = format;
-    c_fix_arg = "%0\n"
-                "typedef __regex_t\tregex_t;\n"
-                "typedef __regoff_t\tregoff_t;\n"
-                "typedef __regmatch_t\tregmatch_t;";
-
-    test_text = "#include <reg_types.h>";
-};
-
-/*
- * On broken glibc-2.3.3 systems an array of incomplete structures is
- * passed to __sigsetjmp.  Fix that to take a pointer instead.
- */
-fix = {
-    hackname  = pthread_incomplete_struct_argument;
-    files     = pthread.h;
-    select    = "struct __jmp_buf_tag";
-    c_fix     = format;
-    c_fix_arg = "%1 *%2%3";
-    c_fix_arg = "^(extern int __sigsetjmp \\(struct __jmp_buf_tag) "
-        "(__env)\\[1\\](.*)$";
-    test_text = "extern int __sigsetjmp (struct __jmp_buf_tag __env[1], "
-        "int __savemask);";
-};
-
 /*
  *  Fix return type of fread and fwrite on sysV68
  */
